lucenenet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shad Storhaug <s...@shadstorhaug.com>
Subject RE: [NuGet Gallery] Message for owners of the package 'Lucene.Net'
Date Tue, 28 Apr 2020 19:59:42 GMT
Hi Chris,

To elaborate on what Ron said, .NET Standard 2.0 supports .NET Core 2.x and 3.x. .NET Standard
2.1 is only required if the project can take advantage of any of the new APIs there.

That being said, in 4.8.0-beta00007 we did have a need for some newer APIs, so we targeted
.NET Standard 2.1 (and dropped support for .NET Standard 1.6). The documentation on the download
page only applies to 4.8.0-beta00006 and prior.


Hi Shannon,

Is rolling a new release of the download page for 4.8.0-beta00007 something that can be done
after we release 4.8.0-beta00008, or must it be done before? Note the new list of target frameworks
on the README page that was changed when we released 4.8.0-beta00007. "Supported Frameworks"
is correct on the download page for all versions 4.8.0-beta00006 and prior.

https://github.com/apache/lucenenet/tree/8cf15f7fd0bb7b22bb2e865895998583d049ab92#lucenenet-480


Regards,
Shad Storhaug (NightOwl888)
Project Chairperson - Apache Lucene.NET


-----Original Message-----
From: RonClabo@GiftOasis.com <RonClabo@GiftOasis.com> 
Sent: Tuesday, April 28, 2020 7:14 PM
To: dev@lucenenet.apache.org; christopher.peshka@himco.com
Subject: RE: [NuGet Gallery] Message for owners of the package 'Lucene.Net'

Hi Chris,

Lucene the 4.8.0 beta does support use with .Net Core.  I'm currently using it with a .Net
Core 3.1 project and am experiencing no issues.  I had previously used it with .Net Core 2.x
as well.  Give it a try, I think you will be pleasantly surprised.

-Ron


-----Original Message-----
From: NuGet Gallery [mailto:support@nuget.org] 
Sent: Monday, April 27, 2020 12:54 PM
To: dev@lucenenet.apache.org
Subject: [NuGet Gallery] Message for owners of the package 'Lucene.Net'

User HimcoCPeshka &lt;christopher.peshka@himco.com&gt; sends the following message
to the owners of Package 'Lucene.Net 3.0.3 (https://www.nuget.org/packages/Lucene.Net/3.0.3)'.

Hello Apache Lucene .Net Developers

I am currently building a new search engine for my org that makes use of Apache Lucene .Net.

Per your downloads page (https://lucenenet.apache.org/download/version-4.html), the newest
(beta) version, Lucene 4.8.0, supports the .NET Standard 2.0 framework. Do you have plans
to implement support for .NET CORE (.NET Standard 2.1) in the near future? If so, do you know
when you plan to have these changes implemented?

Thanks for your help

Chris Peshka
HIMCO

-----------------------------------------------
    To stop receiving contact emails as an owner of this package, sign in to the NuGet Gallery
and
    change your email notification settings (https://www.nuget.org/account).

Privacy Statement (https://go.microsoft.com/fwlink/?LinkId=521839)
Microsoft Corporation
One Microsoft Way
Redmond, WA 98052 USA



Mime
View raw message